> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Update an incident

`PUT https://api.pagerduty.com/incidents/{id}`

Acknowledge, resolve, escalate or reassign an incident.

An incident represents a problem or an issue that needs to be addressed and resolved.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#incidents)

Scoped OAuth requires: `incidents.write`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of the resource. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |
| `From` | string (email) | yes | The email address of a valid user associated with the account making the request. |

## Request body (`application/json`)

| Field | Type | Required | Description |
|---|---|---|---|
| `incident` | object | yes | The parameters of the incident to update. |
| `incident.type` | string | yes | The incident type. One of: `incident`, `incident_reference`. |
| `incident.status` | string |  | The new status of the incident. If the incident is currently resolved, setting the status to "triggered" or "acknowledged" will reopen it. When reopening an incident to the "triggered" status, it will be assigned based on the assignees or escalation_policy fields in the request, otherwise it will be assigned to the current Escalation Policy. When reopening an incident to the "acknowledged" status, it will be assigned to the current user. One of: `resolved`, `acknowledged`, `triggered`. |
| `incident.priority` | one of: object \| string |  | The priority of the incident. Can be provided as a priority object or a string matching a priority name. If a string is provided, the highest priority with a matching name will be used. |
| `incident.priority.id` | string | yes | (option 1) The ID of the priority. |
| `incident.priority.name` | string |  | (option 1) The user-provided short name of the priority. |
| `incident.priority.type` | string | yes | (option 1) The type of the reference. One of: `priority`, `priority_reference`. |
| `incident.resolution` | string |  | The resolution for this incident. This field is used only when setting the incident status to resolved. The value provided here is added to the incident’s 'Resolve' log entry as a note and will not be displayed directly in the UI. |
| `incident.title` | string |  | The new title of the incident. |
| `incident.escalation_level` | integer |  | Escalate the incident to this level in the escalation policy. |
| `incident.assignments` | array of object |  | Assign the incident to these assignees. |
| `incident.assignments[].assignee` | object |  |  |
| `incident.assignments[].assignee.id` | string | yes | Read-only. |
| `incident.assignments[].assignee.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.assignments[].assignee.type` | string | yes | One of: `user_reference`. |
| `incident.assignments[].assignee.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.assignments[].assignee.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.incident_type` | object |  |  |
| `incident.incident_type.id` | string |  | Read-only. |
| `incident.incident_type.name` | string |  | The name of the Incident Type. |
| `incident.escalation_policy` | object |  |  |
| `incident.escalation_policy.id` | string | yes | Read-only. |
| `incident.escalation_policy.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.escalation_policy.type` | string | yes | One of: `escalation_policy_reference`. |
| `incident.escalation_policy.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.escalation_policy.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.urgency` | string |  | The urgency of the incident. One of: `high`, `low`. |
| `incident.conference_bridge` | object |  |  |
| `incident.conference_bridge.conference_number` | string |  | The phone number of the conference call for the conference bridge. Phone numbers should be formatted like +1 415-555-1212,,,,1234#, where a comma (,) represents a one-second wait and pound (#) completes access code input. |
| `incident.conference_bridge.conference_url` | string (url) |  | An URL for the conference bridge. This could be a link to a web conference or Slack channel. |
| `incident.service` | object |  | Assign the incident to this service. |
| `incident.service.id` | string | yes | The ID of the service. |
| `incident.service.type` | string | yes | The type of the reference. One of: `service_reference`. |

Example: Request Example

```json
{
  "incident": {
    "type": "incident_reference",
    "status": "acknowledged"
  }
}
```

## Response 200

The incident was updated.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `incident` | object | yes |  |
| `incident.id` | string |  | Read-only. |
| `incident.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.type` | string |  | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. |
| `incident.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.incident_number` | integer |  | The number of the incident. This is unique across your account. Read-only. |
| `incident.title` | string |  | A succinct description of the nature, symptoms, cause, or effect of the incident. |
| `incident.created_at` | string (date-time) |  | The time the incident was first triggered. Read-only. |
| `incident.updated_at` | string (date-time) |  | The time the incident was last modified. |
| `incident.status` | string |  | The current status of the incident. One of: `triggered`, `acknowledged`, `resolved`. |
| `incident.incident_key` | string |  | The incident's de-duplication key. Read-only. |
| `incident.service` | one of: object \| object |  | The service the incident is on. If the `include[]=services` query parameter is provided, the full service definition will be returned. |
| `incident.service.id` | string | yes | (option 1) Read-only. |
| `incident.service.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.service.type` | string | yes | (option 1) One of: `service_reference`. |
| `incident.service.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `incident.service.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.service.id` | string |  | (option 2) Read-only. |
| `incident.service.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.service.type` | string | yes | (option 2) The type of object being created. One of: `service`. Default: `service`. |
| `incident.service.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `incident.service.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.service.name` | string |  | (option 2) The name of the service. |
| `incident.service.description` | string |  | (option 2) The user-provided description of the service. |
| `incident.service.auto_resolve_timeout` | integer |  | (option 2) Time in seconds that an incident is automatically resolved if left open for that long. Value is `null` if the feature is disabled. Value must not be negative. Setting this field to `0`, `null` (or unset in POST request) will disable the feature. Default: `14400`. |
| `incident.service.acknowledgement_timeout` | integer |  | (option 2) Time in seconds that an incident changes to the Triggered State after being Acknowledged. Value is `null` if the feature is disabled. Value must not be negative. Setting this field to `0`, `null` (or unset in POST request) will disable the feature. Default: `1800`. |
| `incident.service.created_at` | string (date-time) |  | (option 2) The date/time when this service was created. Read-only. |
| `incident.service.status` | string |  | (option 2) The current state of the Service. Valid statuses are: - `active`: The service is enabled and has no open incidents. This is the only status a service can be created with. - `warning`: The service is enabled and has one or more acknowledged incidents. - `critical`: The service is enabled and has one or more triggered incidents. - `maintenance`: The service is under maintenance, no new incidents will be triggered during maintenance mode. - `disabled`: The service is disabled and will not have any new triggered incidents. One of: `active`, `warning`, `critical`, `maintenance`, `disabled`. Default: `active`. |
| `incident.service.last_incident_timestamp` | string (date-time) |  | (option 2) The date/time when the most recent incident was created for this service. Read-only. |
| `incident.service.escalation_policy` | object | yes | (option 2) Same fields as `incident.escalation_policy` above. |
| `incident.service.response_play` |  |  | (option 2) Response plays associated with this service. **Deprecated.** |
| `incident.service.teams` | array of object |  | (option 2) The set of teams associated with this service. Read-only. |
| `incident.service.teams[].id` | string | yes | Read-only. |
| `incident.service.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.service.teams[].type` | string | yes | One of: `team_reference`. |
| `incident.service.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.service.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.service.integrations` | array of object |  | (option 2) An array containing Integration objects that belong to this service. If `integrations` is passed as an argument, these are full objects - otherwise, these are references. Read-only. |
| `incident.service.integrations[].id` | string | yes | Read-only. |
| `incident.service.integrations[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.service.integrations[].type` | string | yes | One of: `aws_cloudwatch_inbound_integration_reference`, `cloudkick_inbound_integration_reference`, `event_transformer_api_inbound_integration_reference`, `generic_email_inbound_integration_reference`, `generic_events_api_inbound_integration_reference`, `keynote_inbound_integration_reference`, `nagios_inbound_integration_reference`, `pingdom_inbound_integration_reference`, `sql_monitor_inbound_integration_reference`, `events_api_v2_inbound_integration_reference`, `inbound_integration_reference`. |
| `incident.service.integrations[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.service.integrations[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.service.incident_urgency_rule` | object |  | (option 2) |
| `incident.service.incident_urgency_rule.type` | string |  | The type of incident urgency: whether it's constant, or it's dependent on the support hours. One of: `constant`, `use_support_hours`. Default: `constant`. |
| `incident.service.incident_urgency_rule.urgency` | string |  | The incidents' urgency, if type is constant. One of: `low`, `high`, `severity_based`. Default: `high`. |
| `incident.service.incident_urgency_rule.during_support_hours` | object |  |  |
| `incident.service.incident_urgency_rule.during_support_hours.type` | string |  | The type of incident urgency: whether it's constant, or it's dependent on the support hours. One of: `constant`, `use_support_hours`. Default: `constant`. |
| `incident.service.incident_urgency_rule.during_support_hours.urgency` | string |  | The incidents' urgency, if type is constant. One of: `low`, `high`, `severity_based`. Default: `high`. |
| `incident.service.incident_urgency_rule.outside_support_hours` | object |  | Same fields as `incident.service.incident_urgency_rule.during_support_hours` above. |
| `incident.service.support_hours` | object |  | (option 2) |
| `incident.service.support_hours.type` | string |  | The type of support hours. One of: `fixed_time_per_day`. Default: `fixed_time_per_day`. |
| `incident.service.support_hours.time_zone` | string (activesupport-time-zone) |  | The time zone for the support hours. |
| `incident.service.support_hours.days_of_week` | array of integer |  | Read-only. |
| `incident.service.support_hours.start_time` | string (time) |  | The support hours' starting time of day (date portion is ignored) |
| `incident.service.support_hours.end_time` | string (time) |  | The support hours' ending time of day (date portion is ignored) |
| `incident.service.scheduled_actions` | array of object |  | (option 2) An array containing scheduled actions for the service. |
| `incident.service.scheduled_actions[].type` | string | yes | The type of schedule action. Must be set to urgency_change. One of: `urgency_change`. |
| `incident.service.scheduled_actions[].at` | object | yes | Represents when scheduled action will occur. |
| `incident.service.scheduled_actions[].at.type` | string | yes | Must be set to named_time. One of: `named_time`. |
| `incident.service.scheduled_actions[].at.name` | string | yes | Designates either the start or the end of support hours. One of: `support_hours_start`, `support_hours_end`. |
| `incident.service.scheduled_actions[].to_urgency` | string | yes | Urgency level. Must be set to high. One of: `high`. |
| `incident.service.addons` | array of object |  | (option 2) The array of Add-ons associated with this service. Read-only. |
| `incident.service.addons[].id` | string | yes | Read-only. |
| `incident.service.addons[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.service.addons[].type` | string | yes | One of: `full_page_addon_reference`, `incident_show_addon_reference`. |
| `incident.service.addons[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.service.addons[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.service.addons[].src` | string (url) |  | The URL source of the Addon. |
| `incident.service.addons[].name` | string |  | The user entered name of the Addon. |
| `incident.service.alert_creation` | string |  | (option 2) Whether a service creates only incidents, or both alerts and incidents. A service must create alerts in order to enable incident merging. * "create_incidents" - The service will create one incident and zero alerts for each incoming event. * "create_alerts_and_incidents" - The service will create one incident and one associated alert for each incoming event. This attribute has been deprecated as all services will be migrated to use alerts and incidents. Afterward, the incident only service setting will no longer be available. For details, please refer to the knowledge base: https://support.pagerduty.com/docs/alerts#enable-and-disable-alerts-on-a-service. **Deprecated.** One of: `create_incidents`, `create_alerts_and_incidents`. Default: `create_alerts_and_incidents`. |
| `incident.service.alert_grouping_parameters` | one of: object \| object |  | (option 2) Alert Grouping Parameters. **Deprecated.** |
| `incident.service.alert_grouping_parameters.type` | string \| null |  | (Alert Grouping Parameters) One of: `time`, `intelligent`, `content_based`, `null`. |
| `incident.service.alert_grouping_parameters.config` | one of: object \| object \| object |  | (Alert Grouping Parameters) |
| `incident.service.alert_grouping_parameters.config.time_window` | integer |  | (Intelligent Alert Grouping) The maximum amount of time allowed between Alerts. Any Alerts arriving greater than `time_window` seconds apart will not be grouped together. This is a rolling time window and is counted from the most recently grouped alert. The window is extended every time a new alert is added to the group, up to 24 hours. To use the "recommended_time_window," set the value to 0, otherwise the value must be between 300 and 3600. Minimum: 300. Maximum: 3600. |
| `incident.service.alert_grouping_parameters.config.recommended_time_window` | integer |  | (Intelligent Alert Grouping) In order to ensure your Service has the optimal grouping window, we use data science to calculate your Service's average Alert inter-arrival time. We encourage customers to use this value. Please set `time_window` to 0 to use the `recommended_time_window`. Read-only. |
| `incident.service.alert_grouping_parameters.config.timeout` | integer |  | (Time Grouping) The duration in minutes within which to automatically group incoming Alerts. To continue grouping Alerts until the Incident is resolved, set this value to 0. Minimum: 1. Maximum: 1440. |
| `incident.service.alert_grouping_parameters.config.aggregate` | string |  | (Content Only Grouping) Whether Alerts should be grouped if `all` or `any` specified fields match. If `all` is selected, an exact match on every specified field name must occur for Alerts to be grouped. If `any` is selected, Alerts will be grouped when there is an exact match on at least one of the specified fields. One of: `all, any`. |
| `incident.service.alert_grouping_parameters.config.fields` | array of string |  | (Content Only Grouping) An array of strings which represent the fields with which to group against. Depending on the aggregate, Alerts will group if some or all the fields match. |
| `incident.service.alert_grouping_parameters.config.time_window` | integer |  | (Content Only Grouping) The maximum amount of time allowed between Alerts. Any Alerts arriving greater than `time_window` seconds apart will not be grouped together. This is a rolling time window up to 24 hours and is counted from the most recently grouped alert. The window is extended every time a new alert is added to the group, up to 24 hours (24 hours only applies to single-service settings). To use the "recommended_time_window," set the value to 0, otherwise the value must be between 300 <= time_window <= 3600 or 86400(i.e. 24 hours). Minimum: 300. Maximum: 86400. |
| `incident.service.alert_grouping_parameters.config.recommended_time_window` | integer |  | (Content Only Grouping) In order to ensure your Service has the optimal grouping window, we use data science to calculate your Service's average Alert inter-arrival time. We encourage customers to use this value. Please set `time_window` to 0 to use the `recommended_time_window`. Read-only. |
| `incident.service.alert_grouping_parameters.id` | string |  | (Alert Grouping Settings Reference) id of the related alert grouping setting. Read-only. |
| `incident.service.alert_grouping_parameters.type` | string |  | (Alert Grouping Settings Reference) type of reference eg. alert_grouping_setting_reference. Read-only. |
| `incident.service.alert_grouping_parameters.summary` | string |  | (Alert Grouping Settings Reference) an explanation of this reference. Read-only. |
| `incident.service.alert_grouping_parameters.self` | string |  | (Alert Grouping Settings Reference) link to api endpoint for this setting. Read-only. |
| `incident.service.alert_grouping_parameters.html_url` | string |  | (Alert Grouping Settings Reference) link to the ui page to edit the setting. Read-only. |
| `incident.service.alert_grouping` | string |  | (option 2) Defines how alerts on this service will be automatically grouped into incidents. Note that the alert grouping features are available only on certain plans. There are three available options: * null - No alert grouping on the service. Each alert will create a separate incident; * "time" - All alerts within a specified duration will be grouped into the same incident. This duration is set in the `alert_grouping_timeout` setting (described below). Available on Standard, Enterprise, and Event Intelligence plans; * "intelligent" - Alerts will be intelligently grouped based on a machine learning model that looks at the alert summary, timing, and the history of grouped alerts. Available on Enterprise and Event Intelligence plans This attribute has been deprecated and configuration via [Alert Grouping Settings](https://docs.pagerduty.com/developer/api/reference/rest/alert-grouping-settings/post-alert-grouping-settings) resource is encouraged. **Deprecated.** One of: `time`, `intelligent`. |
| `incident.service.alert_grouping_timeout` | integer |  | (option 2) The duration in minutes within which to automatically group incoming alerts. This setting applies only when `alert_grouping` is set to `time`. To continue grouping alerts until the Incident is resolved, set this value to `0`. This attribute has been deprecated and configuration via [Alert Grouping Settings](https://docs.pagerduty.com/developer/api/reference/rest/alert-grouping-settings/post-alert-grouping-settings) resource is encouraged. **Deprecated.** |
| `incident.service.auto_pause_notifications_parameters` | object |  | (option 2) Defines how alerts on this service are automatically suspended for a period of time before triggering, when identified as likely being transient. Note that automatically pausing notifications is only available on certain plans. |
| `incident.service.auto_pause_notifications_parameters.enabled` | boolean |  | Indicates whether alerts should be automatically suspended when identified as transient. Default: `false`. |
| `incident.service.auto_pause_notifications_parameters.timeout` | integer |  | Indicates in seconds how long alerts should be suspended before triggering. To automatically select the recommended timeout for a service, set this value to `0`. One of: `0`, `120`, `180`, `300`, `600`, `900`. |
| `incident.service.auto_pause_notifications_parameters.recommended_timeout` | integer |  | The recommended timeout setting for this service based on prior alert patterns. One of: `120`, `180`, `300`, `600`, `900`. |
| `incident.assignments` | array of object |  | List of all assignments for this incident. This list will be empty if the `Incident.status` is `resolved`. Returns a user reference for each assignment. Full user definitions will be returned if the `include[]=assignees` query parameter is provided. |
| `incident.assignments[].at` | string (date-time) | yes | Time at which the assignment was created. |
| `incident.assignments[].assignee` | one of: object \| object | yes |  |
| `incident.assignments[].assignee.id` | string | yes | (option 1) Read-only. |
| `incident.assignments[].assignee.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.assignments[].assignee.type` | string | yes | (option 1) One of: `user_reference`. |
| `incident.assignments[].assignee.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `incident.assignments[].assignee.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.assignments[].assignee.id` | string |  | (option 2) Read-only. |
| `incident.assignments[].assignee.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.assignments[].assignee.type` | string | yes | (option 2) The type of object being created. One of: `user`. Default: `user`. |
| `incident.assignments[].assignee.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `incident.assignments[].assignee.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.assignments[].assignee.name` | string | yes | (option 2) The name of the user. Max length: 100. |
| `incident.assignments[].assignee.email` | string (email) | yes | (option 2) The user's email address. Min length: 6. Max length: 100. |
| `incident.assignments[].assignee.time_zone` | string (tzinfo) |  | (option 2) The preferred time zone name. If null, the account's time zone will be used. |
| `incident.assignments[].assignee.color` | string |  | (option 2) The schedule color. |
| `incident.assignments[].assignee.role` | string |  | (option 2) The user role. Account must have the `read_only_users` ability to set a user as a `read_only_user` or a `read_only_limited_user`, and must have advanced permissions abilities to set a user as `observer` or `restricted_access`. One of: `admin`, `limited_user`, `observer`, `owner`, `read_only_user`, `restricted_access`, `read_only_limited_user`, `user`. |
| `incident.assignments[].assignee.avatar_url` | string (url) |  | (option 2) The URL of the user's avatar. Read-only. |
| `incident.assignments[].assignee.description` | string \| null |  | (option 2) The user's bio. |
| `incident.assignments[].assignee.invitation_sent` | boolean |  | (option 2) If true, the user has an outstanding invitation. Read-only. |
| `incident.assignments[].assignee.job_title` | string |  | (option 2) The user's title. Max length: 100. |
| `incident.assignments[].assignee.created_via_sso` | boolean |  | (option 2) If true, the user was created via Single Sign-On (SSO). Read-only. |
| `incident.assignments[].assignee.teams` | array of object |  | (option 2) The list of teams to which the user belongs. Account must have the `teams` ability to set this. Read-only. |
| `incident.assignments[].assignee.teams[].id` | string | yes | Read-only. |
| `incident.assignments[].assignee.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.assignments[].assignee.teams[].type` | string | yes | One of: `team_reference`. |
| `incident.assignments[].assignee.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.assignments[].assignee.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.assignments[].assignee.contact_methods` | array of object |  | (option 2) The list of contact methods for the user. Read-only. |
| `incident.assignments[].assignee.contact_methods[].id` | string | yes | Read-only. |
| `incident.assignments[].assignee.contact_methods[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.assignments[].assignee.contact_methods[].type` | string | yes | One of: `email_contact_method_reference`, `phone_contact_method_reference`, `push_notification_contact_method_reference`, `sms_contact_method_reference`, `whatsapp_contact_method_reference`. |
| `incident.assignments[].assignee.contact_methods[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.assignments[].assignee.contact_methods[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.assignments[].assignee.notification_rules` | array of object |  | (option 2) The list of notification rules for the user. Read-only. |
| `incident.assignments[].assignee.notification_rules[].id` | string | yes | Read-only. |
| `incident.assignments[].assignee.notification_rules[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.assignments[].assignee.notification_rules[].type` | string | yes | One of: `assignment_notification_rule_reference`. |
| `incident.assignments[].assignee.notification_rules[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.assignments[].assignee.notification_rules[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.assignments[].assignee.http_cal_url` | string (uri) |  | (option 2) iCal HTTP feed URL for this user's on-call shifts. Only returned on the `GET /users/{id}` detail endpoint: automatically when viewing your own profile with a user-level token, or when an account admin with `can_update_user` passes `include[]=calendar_urls` for another user. Not returned on list endpoints or with account-level read-only keys. **Security:** this URL is a bearer credential. Anyone with the URL can read the user's on-call calendar without further authentication. Rotate via `POST /users/{id}/regenerate_private_url_key` if it may have been exposed. Read-only. |
| `incident.assignments[].assignee.web_cal_url` | string (uri) |  | (option 2) iCal webcal URL for this user's on-call shifts. Only returned on the `GET /users/{id}` detail endpoint: automatically when viewing your own profile with a user-level token, or when an account admin with `can_update_user` passes `include[]=calendar_urls` for another user. Not returned on list endpoints or with account-level read-only keys. **Security:** this URL is a bearer credential. Anyone with the URL can read the user's on-call calendar without further authentication. Rotate via `POST /users/{id}/regenerate_private_url_key` if it may have been exposed. Read-only. |
| `incident.assigned_via` | string |  | How the current incident assignments were decided. Note that `direct_assignment` incidents will not escalate up the attached `escalation_policy` Read-only. One of: `escalation_policy`, `direct_assignment`. |
| `incident.last_status_change_at` | string (date-time) |  | The time the status of the incident last changed. If the incident is not currently acknowledged or resolved, this will be the incident's `updated_at`. Read-only. |
| `incident.resolved_at` | string (date-time) |  | The time the incident became "resolved" or `null` if the incident is not resolved. |
| `incident.first_trigger_log_entry` | one of: object \| object |  | The first log entry on the incident. The log entry will be of type `TriggerLogEntry` and will represent information about how the incident was triggered. If the `include[]=first_trigger_log_entries` query parameter is provided, the full log entry definition will be returned. |
| `incident.first_trigger_log_entry.id` | string | yes | (option 1) Read-only. |
| `incident.first_trigger_log_entry.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.first_trigger_log_entry.type` | string | yes | (option 1) One of: `acknowledge_log_entry_reference`, `annotate_log_entry_reference`, `assign_log_entry_reference`, `escalate_log_entry_reference`, `exhaust_escalation_path_log_entry_reference`, `notify_log_entry_reference`, `reach_trigger_limit_log_entry_reference`, `repeat_escalation_path_log_entry_reference`, `resolve_log_entry_reference`, `snooze_log_entry_reference`, `trigger_log_entry_reference`, `unacknowledge_log_entry_reference`. |
| `incident.first_trigger_log_entry.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `incident.first_trigger_log_entry.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.first_trigger_log_entry.id` | string |  | (option 2) Read-only. |
| `incident.first_trigger_log_entry.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.first_trigger_log_entry.type` | string |  | (option 2) One of: `trigger_log_entry`. |
| `incident.first_trigger_log_entry.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `incident.first_trigger_log_entry.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.first_trigger_log_entry.created_at` | string (date-time) |  | (option 2) Time at which the log entry was created. Read-only. |
| `incident.first_trigger_log_entry.channel` | one of: object \| object \| object \| object \| object |  | (option 2) Polymorphic object representation of the means by which the action was channeled. Has different formats depending on type, indicated by channel[type]. Will be one of `auto`, `email`, `api`, `nagios`, or `timeout` if `agent[type]` is `service`. Will be one of `email`, `sms`, `website`, `web_trigger`, or `note` if `agent[type]` is `user`. |
| `incident.first_trigger_log_entry.channel.type` | string |  | (NagiosChannel) Will be `nagios` |
| `incident.first_trigger_log_entry.channel.summary` | string |  | (NagiosChannel) Same as `host` |
| `incident.first_trigger_log_entry.channel.host` | string |  | (NagiosChannel) Nagios host. |
| `incident.first_trigger_log_entry.channel.service` | string |  | (NagiosChannel) Nagios service that created the event, if applicable. |
| `incident.first_trigger_log_entry.channel.state` | string |  | (NagiosChannel) State that caused the event. |
| `incident.first_trigger_log_entry.channel.details` | object |  | (NagiosChannel) Additional details of the incident. |
| `incident.first_trigger_log_entry.channel.type` | string |  | (APIChannel) Will be `api` |
| `incident.first_trigger_log_entry.channel.summary` | string |  | (APIChannel) Same as `description` |
| `incident.first_trigger_log_entry.channel.service_key` | string |  | (APIChannel) API service key. |
| `incident.first_trigger_log_entry.channel.description` | string |  | (APIChannel) Description of the event. |
| `incident.first_trigger_log_entry.channel.incident_key` | string |  | (APIChannel) Incident deduping string. |
| `incident.first_trigger_log_entry.channel.details` | object |  | (APIChannel) Additional details of the incident. |
| `incident.first_trigger_log_entry.channel.type` | string |  | (EmailChannel) Will be `email` |
| `incident.first_trigger_log_entry.channel.summary` | string |  | (EmailChannel) Same as `subject` |
| `incident.first_trigger_log_entry.channel.to` | string |  | (EmailChannel) To address of the email. |
| `incident.first_trigger_log_entry.channel.from` | string |  | (EmailChannel) From address of the email. |
| `incident.first_trigger_log_entry.channel.subject` | string |  | (EmailChannel) Subject of the email. |
| `incident.first_trigger_log_entry.channel.body` | string |  | (EmailChannel) Body of the email. |
| `incident.first_trigger_log_entry.channel.body_content_type` | string |  | (EmailChannel) Content type of the email body. Will be `text/plain` or `text/html` |
| `incident.first_trigger_log_entry.channel.raw_url` | string |  | (EmailChannel) URL for raw text of email. |
| `incident.first_trigger_log_entry.channel.html_url` | string |  | (EmailChannel) URL for html rendered version of the email. Only present if `content_type` is `text/html` |
| `incident.first_trigger_log_entry.channel.type` | string |  | (WebTriggerChannel) Will be `web_trigger` |
| `incident.first_trigger_log_entry.channel.summary` | string |  | (WebTriggerChannel) Same as `subject` |
| `incident.first_trigger_log_entry.channel.subject` | string |  | (WebTriggerChannel) Subject of the web trigger. |
| `incident.first_trigger_log_entry.channel.details` | string |  | (WebTriggerChannel) Details about the web trigger. |
| `incident.first_trigger_log_entry.channel.type` | string | yes | (WebsiteChannel) Will be `website` |
| `incident.first_trigger_log_entry.channel.duration` | integer |  | (WebsiteChannel) For `snooze` log entries, this is the number of seconds that the incident was snoozed for. |
| `incident.first_trigger_log_entry.channel.type` | string | yes | type. |
| `incident.first_trigger_log_entry.channel.user` | object |  |  |
| `incident.first_trigger_log_entry.channel.team` | object |  |  |
| `incident.first_trigger_log_entry.channel.notification` | object |  |  |
| `incident.first_trigger_log_entry.channel.notification.id` | string |  | Read-only. |
| `incident.first_trigger_log_entry.channel.notification.type` | string |  | The type of notification. Read-only. One of: `sms_notification`, `email_notification`, `phone_notification`, `push_notification`. |
| `incident.first_trigger_log_entry.channel.notification.started_at` | string (date-time) |  | The time at which the notification was sent. Read-only. |
| `incident.first_trigger_log_entry.channel.notification.address` | string |  | The address where the notification was sent. This will be null for notification type `push_notification`. Read-only. |
| `incident.first_trigger_log_entry.channel.notification.user` | object |  | Same fields as `incident.assignments[].assignee` above. |
| `incident.first_trigger_log_entry.channel.notification.conferenceAddress` | string |  | The address of the conference bridge. |
| `incident.first_trigger_log_entry.channel.notification.status` | string |  |  |
| `incident.first_trigger_log_entry.channel.notification.` | string |  |  |
| `incident.first_trigger_log_entry.channel.channel` | object |  | channel. |
| `incident.first_trigger_log_entry.channel.changeset` | object |  | Changeset present in CustomFieldsValueChange and FieldValueChange log entries. |
| `incident.first_trigger_log_entry.channel.changeset.customer_fields` | array of object |  | Customer Fields present in CustomFieldsValueChange and FieldValueChange log entries. |
| `incident.first_trigger_log_entry.channel.changeset.customer_fields[].id` | string |  |  |
| `incident.first_trigger_log_entry.channel.changeset.customer_fields[].name` | string |  |  |
| `incident.first_trigger_log_entry.channel.changeset.customer_fields[].value` | one of: integer \| array of string |  |  |
| `incident.first_trigger_log_entry.channel.changeset.customer_fields[].namespace` | string |  |  |
| `incident.first_trigger_log_entry.channel.changeset.customer_fields[].old_value` | string \| null |  |  |
| `incident.first_trigger_log_entry.channel.changeset.application_fields` | array of object |  | Application Fields present in CustomFieldsValueChange and FieldValueChange log entries. |
| `incident.first_trigger_log_entry.channel.changeset.application_fields[].id` | string |  |  |
| `incident.first_trigger_log_entry.channel.changeset.application_fields[].name` | string |  |  |
| `incident.first_trigger_log_entry.channel.changeset.application_fields[].value` | one of: string \| integer \| array of string |  |  |
| `incident.first_trigger_log_entry.channel.changeset.application_fields[].namespace` | string |  |  |
| `incident.first_trigger_log_entry.channel.changeset.application_fields[].old_value` | string \| null |  |  |
| `incident.first_trigger_log_entry.channel.changeset.custom_attributes` | object |  | Custom attributes for the changeset. |
| `incident.first_trigger_log_entry.channel.changeset.customer_schema` | object |  |  |
| `incident.first_trigger_log_entry.channel.changeset.customer_schema.old_value` | string \| null |  |  |
| `incident.first_trigger_log_entry.agent` | object |  | (option 2) |
| `incident.first_trigger_log_entry.agent.id` | string | yes | Read-only. |
| `incident.first_trigger_log_entry.agent.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.first_trigger_log_entry.agent.type` | string | yes | One of: `user_reference`, `service_reference`, `integration_reference`. |
| `incident.first_trigger_log_entry.agent.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.first_trigger_log_entry.agent.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.first_trigger_log_entry.note` | string |  | (option 2) Optional field containing a note, if one was included with the log entry. Read-only. |
| `incident.first_trigger_log_entry.contexts` | array of object |  | (option 2) Contexts to be included with the trigger such as links to graphs or images. Read-only. |
| `incident.first_trigger_log_entry.contexts[].type` | string | yes | The type of context being attached to the incident. One of: `link`, `image`. |
| `incident.first_trigger_log_entry.contexts[].href` | string |  | The link's target url. |
| `incident.first_trigger_log_entry.contexts[].src` | string |  | The image's source url. |
| `incident.first_trigger_log_entry.contexts[].text` | string |  | The alternate display for an image. |
| `incident.first_trigger_log_entry.service` | object |  | (option 2) |
| `incident.first_trigger_log_entry.service.id` | string | yes | Read-only. |
| `incident.first_trigger_log_entry.service.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.first_trigger_log_entry.service.type` | string | yes | One of: `service_reference`. |
| `incident.first_trigger_log_entry.service.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.first_trigger_log_entry.service.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.first_trigger_log_entry.incident` | object |  | (option 2) |
| `incident.first_trigger_log_entry.incident.id` | string | yes | Read-only. |
| `incident.first_trigger_log_entry.incident.summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.first_trigger_log_entry.incident.type` | string | yes | One of: `incident_reference`. |
| `incident.first_trigger_log_entry.incident.self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.first_trigger_log_entry.incident.html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.first_trigger_log_entry.teams` | array of object |  | (option 2) Will consist of references unless included. Read-only. |
| `incident.first_trigger_log_entry.teams[].id` | string | yes | Read-only. |
| `incident.first_trigger_log_entry.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.first_trigger_log_entry.teams[].type` | string | yes | One of: `team_reference`. |
| `incident.first_trigger_log_entry.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.first_trigger_log_entry.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.first_trigger_log_entry.event_details` | object |  | (option 2) Read-only. |
| `incident.first_trigger_log_entry.event_details.description` | string |  | Additional details about the event. |
| `incident.first_trigger_log_entry.changeset` | array of string |  | (option 2) String record of custom field updates. |
| `incident.alert_counts` | object |  |  |
| `incident.alert_counts.triggered` | integer |  | The count of triggered alerts grouped into this incident. |
| `incident.alert_counts.resolved` | integer |  | The count of resolved alerts grouped into this incident. |
| `incident.alert_counts.all` | integer |  | The total count of alerts grouped into this incident. |
| `incident.is_mergeable` | boolean |  | Whether the incident is mergeable. Only incidents that have alerts, or that are manually created can be merged. Read-only. |
| `incident.incident_type` | object |  | The incident type of the incident. |
| `incident.incident_type.name` | string |  | The name of the Incident Type. |
| `incident.escalation_policy` | one of: object \| object |  | The escalation policy attached to the service that the incident is on. If the `include[]=escalation_policies` query parameter is provided, the full escalation policy definition will be returned. |
| `incident.escalation_policy.id` | string | yes | (option 1) Read-only. |
| `incident.escalation_policy.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.escalation_policy.type` | string | yes | (option 1) One of: `escalation_policy_reference`. |
| `incident.escalation_policy.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `incident.escalation_policy.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.escalation_policy.id` | string |  | (option 2) Read-only. |
| `incident.escalation_policy.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.escalation_policy.type` | string | yes | (option 2) The type of object being created. One of: `escalation_policy`. Default: `escalation_policy`. |
| `incident.escalation_policy.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `incident.escalation_policy.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.escalation_policy.name` | string | yes | (option 2) The name of the escalation policy. |
| `incident.escalation_policy.description` | string |  | (option 2) Escalation policy description. |
| `incident.escalation_policy.num_loops` | integer |  | (option 2) The number of times the escalation policy will repeat after reaching the end of its escalation. Default: `0`. Minimum: 0. |
| `incident.escalation_policy.on_call_handoff_notifications` | string |  | (option 2) Determines how on call handoff notifications will be sent for users on the escalation policy. Defaults to "if_has_services". One of: `if_has_services`, `always`. |
| `incident.escalation_policy.escalation_rules` | array of object | yes | (option 2) |
| `incident.escalation_policy.escalation_rules[].id` | string |  | Read-only. |
| `incident.escalation_policy.escalation_rules[].escalation_delay_in_minutes` | integer | yes | The number of minutes before an unacknowledged incident escalates away from this rule. |
| `incident.escalation_policy.escalation_rules[].targets` | array of object | yes | The targets an incident should be assigned to upon reaching this rule. Min items: 1. Max items: 10. |
| `incident.escalation_policy.escalation_rules[].targets[].id` | string | yes | Read-only. |
| `incident.escalation_policy.escalation_rules[].targets[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.escalation_policy.escalation_rules[].targets[].type` | string | yes | One of: `user`, `schedule`, `user_reference`, `schedule_reference`, `schedule_v3_reference`. |
| `incident.escalation_policy.escalation_rules[].targets[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.escalation_policy.escalation_rules[].targets[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.escalation_policy.escalation_rules[].escalation_rule_assignment_strategy` | string |  | The strategy used to assign the escalation rule to an incident. One of: `round_robin`, `assign_to_everyone`. |
| `incident.escalation_policy.services` | array of object |  | (option 2) Read-only. Min length: 0. |
| `incident.escalation_policy.services[].id` | string | yes | Read-only. |
| `incident.escalation_policy.services[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.escalation_policy.services[].type` | string | yes | One of: `service_reference`. |
| `incident.escalation_policy.services[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.escalation_policy.services[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.escalation_policy.teams` | array of object |  | (option 2) Team associated with the policy. Account must have the `teams` ability to use this parameter. Only one team may be associated with the policy. Min length: 0. |
| `incident.escalation_policy.teams[].id` | string | yes | Read-only. |
| `incident.escalation_policy.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.escalation_policy.teams[].type` | string | yes | One of: `team_reference`. |
| `incident.escalation_policy.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.escalation_policy.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.teams` | array of one of: object \| object |  | The teams involved in the incident’s lifecycle. If the `include[]=teams` query parameter is provided, the full team definitions will be returned. |
| `incident.teams[].id` | string | yes | (option 1) Read-only. |
| `incident.teams[].summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.teams[].type` | string | yes | (option 1) One of: `team_reference`. |
| `incident.teams[].self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `incident.teams[].html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.teams[].id` | string |  | (option 2) Read-only. |
| `incident.teams[].summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.teams[].type` | string | yes | (option 2) The type of object being created. One of: `team`. Default: `team`. |
| `incident.teams[].self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `incident.teams[].html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.teams[].name` | string | yes | (option 2) The name of the team. Max length: 100. |
| `incident.teams[].description` | string |  | (option 2) The description of the team. Max length: 1024. |
| `incident.teams[].default_role` | string |  | (option 2) The team is private if the value is "none", or public if it is "manager" (the default permissions for a non-member of the team are either "none", or their base role up until "manager"). One of: `manager`, `none`. Default: `manager`. |
| `incident.pending_actions` | array of object |  | The list of pending_actions on the incident. A pending_action object contains a type of action which can be escalate, unacknowledge, resolve or urgency_change. A pending_action object contains at, the time at which the action will take place. An urgency_change pending_action will contain to, the urgency that the incident will change to. Read-only. |
| `incident.pending_actions[].type` | string | yes | One of: `unacknowledge`, `escalate`, `resolve`, `urgency_change`. |
| `incident.pending_actions[].at` | string (date-time) | yes |  |
| `incident.pending_actions[].to` | string |  | The urgency that the incident will change to. This field is only present when the type is `urgency_change`. One of: `high`. |
| `incident.acknowledgements` | array of object |  | List of all acknowledgements for this incident. This list will be empty if the `Incident.status` is `resolved` or `triggered`. If the `include[]=acknowledgers` query parameter is provided, the full user or service definitions will be returned for each acknowledgement entry. |
| `incident.acknowledgements[].at` | string (date-time) | yes | Time at which the acknowledgement was created. |
| `incident.acknowledgements[].acknowledger` | one of: object \| object \| object | yes |  |
| `incident.acknowledgements[].acknowledger.id` | string | yes | (option 1) Read-only. |
| `incident.acknowledgements[].acknowledger.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.type` | string | yes | (option 1) One of: `user_reference`, `service_reference`. |
| `incident.acknowledgements[].acknowledger.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.id` | string |  | (option 2) Read-only. |
| `incident.acknowledgements[].acknowledger.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.type` | string | yes | (option 2) The type of object being created. One of: `user`. Default: `user`. |
| `incident.acknowledgements[].acknowledger.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.name` | string | yes | (option 2) The name of the user. Max length: 100. |
| `incident.acknowledgements[].acknowledger.email` | string (email) | yes | (option 2) The user's email address. Min length: 6. Max length: 100. |
| `incident.acknowledgements[].acknowledger.time_zone` | string (tzinfo) |  | (option 2) The preferred time zone name. If null, the account's time zone will be used. |
| `incident.acknowledgements[].acknowledger.color` | string |  | (option 2) The schedule color. |
| `incident.acknowledgements[].acknowledger.role` | string |  | (option 2) The user role. Account must have the `read_only_users` ability to set a user as a `read_only_user` or a `read_only_limited_user`, and must have advanced permissions abilities to set a user as `observer` or `restricted_access`. One of: `admin`, `limited_user`, `observer`, `owner`, `read_only_user`, `restricted_access`, `read_only_limited_user`, `user`. |
| `incident.acknowledgements[].acknowledger.avatar_url` | string (url) |  | (option 2) The URL of the user's avatar. Read-only. |
| `incident.acknowledgements[].acknowledger.description` | string \| null |  | (option 2) The user's bio. |
| `incident.acknowledgements[].acknowledger.invitation_sent` | boolean |  | (option 2) If true, the user has an outstanding invitation. Read-only. |
| `incident.acknowledgements[].acknowledger.job_title` | string |  | (option 2) The user's title. Max length: 100. |
| `incident.acknowledgements[].acknowledger.created_via_sso` | boolean |  | (option 2) If true, the user was created via Single Sign-On (SSO). Read-only. |
| `incident.acknowledgements[].acknowledger.teams` | array of object |  | (option 2) The list of teams to which the user belongs. Account must have the `teams` ability to set this. Read-only. |
| `incident.acknowledgements[].acknowledger.teams[].id` | string | yes | Read-only. |
| `incident.acknowledgements[].acknowledger.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.teams[].type` | string | yes | One of: `team_reference`. |
| `incident.acknowledgements[].acknowledger.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.contact_methods` | array of object |  | (option 2) The list of contact methods for the user. Read-only. |
| `incident.acknowledgements[].acknowledger.contact_methods[].id` | string | yes | Read-only. |
| `incident.acknowledgements[].acknowledger.contact_methods[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.contact_methods[].type` | string | yes | One of: `email_contact_method_reference`, `phone_contact_method_reference`, `push_notification_contact_method_reference`, `sms_contact_method_reference`, `whatsapp_contact_method_reference`. |
| `incident.acknowledgements[].acknowledger.contact_methods[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.contact_methods[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.notification_rules` | array of object |  | (option 2) The list of notification rules for the user. Read-only. |
| `incident.acknowledgements[].acknowledger.notification_rules[].id` | string | yes | Read-only. |
| `incident.acknowledgements[].acknowledger.notification_rules[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.notification_rules[].type` | string | yes | One of: `assignment_notification_rule_reference`. |
| `incident.acknowledgements[].acknowledger.notification_rules[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.notification_rules[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.http_cal_url` | string (uri) |  | (option 2) iCal HTTP feed URL for this user's on-call shifts. Only returned on the `GET /users/{id}` detail endpoint: automatically when viewing your own profile with a user-level token, or when an account admin with `can_update_user` passes `include[]=calendar_urls` for another user. Not returned on list endpoints or with account-level read-only keys. **Security:** this URL is a bearer credential. Anyone with the URL can read the user's on-call calendar without further authentication. Rotate via `POST /users/{id}/regenerate_private_url_key` if it may have been exposed. Read-only. |
| `incident.acknowledgements[].acknowledger.web_cal_url` | string (uri) |  | (option 2) iCal webcal URL for this user's on-call shifts. Only returned on the `GET /users/{id}` detail endpoint: automatically when viewing your own profile with a user-level token, or when an account admin with `can_update_user` passes `include[]=calendar_urls` for another user. Not returned on list endpoints or with account-level read-only keys. **Security:** this URL is a bearer credential. Anyone with the URL can read the user's on-call calendar without further authentication. Rotate via `POST /users/{id}/regenerate_private_url_key` if it may have been exposed. Read-only. |
| `incident.acknowledgements[].acknowledger.id` | string |  | (option 3) Read-only. |
| `incident.acknowledgements[].acknowledger.summary` | string \| null |  | (option 3) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.type` | string | yes | (option 3) The type of object being created. One of: `service`. Default: `service`. |
| `incident.acknowledgements[].acknowledger.self` | string \| null (url) |  | (option 3) the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.html_url` | string \| null (url) |  | (option 3) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.name` | string |  | (option 3) The name of the service. |
| `incident.acknowledgements[].acknowledger.description` | string |  | (option 3) The user-provided description of the service. |
| `incident.acknowledgements[].acknowledger.auto_resolve_timeout` | integer |  | (option 3) Time in seconds that an incident is automatically resolved if left open for that long. Value is `null` if the feature is disabled. Value must not be negative. Setting this field to `0`, `null` (or unset in POST request) will disable the feature. Default: `14400`. |
| `incident.acknowledgements[].acknowledger.acknowledgement_timeout` | integer |  | (option 3) Time in seconds that an incident changes to the Triggered State after being Acknowledged. Value is `null` if the feature is disabled. Value must not be negative. Setting this field to `0`, `null` (or unset in POST request) will disable the feature. Default: `1800`. |
| `incident.acknowledgements[].acknowledger.created_at` | string (date-time) |  | (option 3) The date/time when this service was created. Read-only. |
| `incident.acknowledgements[].acknowledger.status` | string |  | (option 3) The current state of the Service. Valid statuses are: - `active`: The service is enabled and has no open incidents. This is the only status a service can be created with. - `warning`: The service is enabled and has one or more acknowledged incidents. - `critical`: The service is enabled and has one or more triggered incidents. - `maintenance`: The service is under maintenance, no new incidents will be triggered during maintenance mode. - `disabled`: The service is disabled and will not have any new triggered incidents. One of: `active`, `warning`, `critical`, `maintenance`, `disabled`. Default: `active`. |
| `incident.acknowledgements[].acknowledger.last_incident_timestamp` | string (date-time) |  | (option 3) The date/time when the most recent incident was created for this service. Read-only. |
| `incident.acknowledgements[].acknowledger.escalation_policy` | object | yes | (option 3) Same fields as `incident.escalation_policy` above. |
| `incident.acknowledgements[].acknowledger.response_play` |  |  | (option 3) Response plays associated with this service. **Deprecated.** |
| `incident.acknowledgements[].acknowledger.teams` | array of object |  | (option 3) The set of teams associated with this service. Read-only. |
| `incident.acknowledgements[].acknowledger.teams[].id` | string | yes | Read-only. |
| `incident.acknowledgements[].acknowledger.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.teams[].type` | string | yes | One of: `team_reference`. |
| `incident.acknowledgements[].acknowledger.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.integrations` | array of object |  | (option 3) An array containing Integration objects that belong to this service. If `integrations` is passed as an argument, these are full objects - otherwise, these are references. Read-only. |
| `incident.acknowledgements[].acknowledger.integrations[].id` | string | yes | Read-only. |
| `incident.acknowledgements[].acknowledger.integrations[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.integrations[].type` | string | yes | One of: `aws_cloudwatch_inbound_integration_reference`, `cloudkick_inbound_integration_reference`, `event_transformer_api_inbound_integration_reference`, `generic_email_inbound_integration_reference`, `generic_events_api_inbound_integration_reference`, `keynote_inbound_integration_reference`, `nagios_inbound_integration_reference`, `pingdom_inbound_integration_reference`, `sql_monitor_inbound_integration_reference`, `events_api_v2_inbound_integration_reference`, `inbound_integration_reference`. |
| `incident.acknowledgements[].acknowledger.integrations[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.integrations[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.incident_urgency_rule` | object |  | (option 3) Same fields as `incident.service.incident_urgency_rule` above. |
| `incident.acknowledgements[].acknowledger.support_hours` | object |  | (option 3) Same fields as `incident.service.support_hours` above. |
| `incident.acknowledgements[].acknowledger.scheduled_actions` | array of object |  | (option 3) An array containing scheduled actions for the service. |
| `incident.acknowledgements[].acknowledger.scheduled_actions[].type` | string | yes | The type of schedule action. Must be set to urgency_change. One of: `urgency_change`. |
| `incident.acknowledgements[].acknowledger.scheduled_actions[].at` | object | yes | Represents when scheduled action will occur. |
| `incident.acknowledgements[].acknowledger.scheduled_actions[].at.type` | string | yes | Must be set to named_time. One of: `named_time`. |
| `incident.acknowledgements[].acknowledger.scheduled_actions[].at.name` | string | yes | Designates either the start or the end of support hours. One of: `support_hours_start`, `support_hours_end`. |
| `incident.acknowledgements[].acknowledger.scheduled_actions[].to_urgency` | string | yes | Urgency level. Must be set to high. One of: `high`. |
| `incident.acknowledgements[].acknowledger.addons` | array of object |  | (option 3) The array of Add-ons associated with this service. Read-only. |
| `incident.acknowledgements[].acknowledger.addons[].id` | string | yes | Read-only. |
| `incident.acknowledgements[].acknowledger.addons[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.acknowledgements[].acknowledger.addons[].type` | string | yes | One of: `full_page_addon_reference`, `incident_show_addon_reference`. |
| `incident.acknowledgements[].acknowledger.addons[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.acknowledgements[].acknowledger.addons[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.acknowledgements[].acknowledger.addons[].src` | string (url) |  | The URL source of the Addon. |
| `incident.acknowledgements[].acknowledger.addons[].name` | string |  | The user entered name of the Addon. |
| `incident.acknowledgements[].acknowledger.alert_creation` | string |  | (option 3) Whether a service creates only incidents, or both alerts and incidents. A service must create alerts in order to enable incident merging. * "create_incidents" - The service will create one incident and zero alerts for each incoming event. * "create_alerts_and_incidents" - The service will create one incident and one associated alert for each incoming event. This attribute has been deprecated as all services will be migrated to use alerts and incidents. Afterward, the incident only service setting will no longer be available. For details, please refer to the knowledge base: https://support.pagerduty.com/docs/alerts#enable-and-disable-alerts-on-a-service. **Deprecated.** One of: `create_incidents`, `create_alerts_and_incidents`. Default: `create_alerts_and_incidents`. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters` | one of: object \| object |  | (option 3) Alert Grouping Parameters. **Deprecated.** |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.type` | string \| null |  | (Alert Grouping Parameters) One of: `time`, `intelligent`, `content_based`, `null`. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.config` | one of: object \| object \| object |  | (Alert Grouping Parameters) |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.config.time_window` | integer |  | (Intelligent Alert Grouping) The maximum amount of time allowed between Alerts. Any Alerts arriving greater than `time_window` seconds apart will not be grouped together. This is a rolling time window and is counted from the most recently grouped alert. The window is extended every time a new alert is added to the group, up to 24 hours. To use the "recommended_time_window," set the value to 0, otherwise the value must be between 300 and 3600. Minimum: 300. Maximum: 3600. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.config.recommended_time_window` | integer |  | (Intelligent Alert Grouping) In order to ensure your Service has the optimal grouping window, we use data science to calculate your Service's average Alert inter-arrival time. We encourage customers to use this value. Please set `time_window` to 0 to use the `recommended_time_window`. Read-only. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.config.timeout` | integer |  | (Time Grouping) The duration in minutes within which to automatically group incoming Alerts. To continue grouping Alerts until the Incident is resolved, set this value to 0. Minimum: 1. Maximum: 1440. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.config.aggregate` | string |  | (Content Only Grouping) Whether Alerts should be grouped if `all` or `any` specified fields match. If `all` is selected, an exact match on every specified field name must occur for Alerts to be grouped. If `any` is selected, Alerts will be grouped when there is an exact match on at least one of the specified fields. One of: `all, any`. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.config.fields` | array of string |  | (Content Only Grouping) An array of strings which represent the fields with which to group against. Depending on the aggregate, Alerts will group if some or all the fields match. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.config.time_window` | integer |  | (Content Only Grouping) The maximum amount of time allowed between Alerts. Any Alerts arriving greater than `time_window` seconds apart will not be grouped together. This is a rolling time window up to 24 hours and is counted from the most recently grouped alert. The window is extended every time a new alert is added to the group, up to 24 hours (24 hours only applies to single-service settings). To use the "recommended_time_window," set the value to 0, otherwise the value must be between 300 <= time_window <= 3600 or 86400(i.e. 24 hours). Minimum: 300. Maximum: 86400. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.config.recommended_time_window` | integer |  | (Content Only Grouping) In order to ensure your Service has the optimal grouping window, we use data science to calculate your Service's average Alert inter-arrival time. We encourage customers to use this value. Please set `time_window` to 0 to use the `recommended_time_window`. Read-only. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.id` | string |  | (Alert Grouping Settings Reference) id of the related alert grouping setting. Read-only. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.type` | string |  | (Alert Grouping Settings Reference) type of reference eg. alert_grouping_setting_reference. Read-only. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.summary` | string |  | (Alert Grouping Settings Reference) an explanation of this reference. Read-only. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.self` | string |  | (Alert Grouping Settings Reference) link to api endpoint for this setting. Read-only. |
| `incident.acknowledgements[].acknowledger.alert_grouping_parameters.html_url` | string |  | (Alert Grouping Settings Reference) link to the ui page to edit the setting. Read-only. |
| `incident.acknowledgements[].acknowledger.alert_grouping` | string |  | (option 3) Defines how alerts on this service will be automatically grouped into incidents. Note that the alert grouping features are available only on certain plans. There are three available options: * null - No alert grouping on the service. Each alert will create a separate incident; * "time" - All alerts within a specified duration will be grouped into the same incident. This duration is set in the `alert_grouping_timeout` setting (described below). Available on Standard, Enterprise, and Event Intelligence plans; * "intelligent" - Alerts will be intelligently grouped based on a machine learning model that looks at the alert summary, timing, and the history of grouped alerts. Available on Enterprise and Event Intelligence plans This attribute has been deprecated and configuration via [Alert Grouping Settings](https://docs.pagerduty.com/developer/api/reference/rest/alert-grouping-settings/post-alert-grouping-settings) resource is encouraged. **Deprecated.** One of: `time`, `intelligent`. |
| `incident.acknowledgements[].acknowledger.alert_grouping_timeout` | integer |  | (option 3) The duration in minutes within which to automatically group incoming alerts. This setting applies only when `alert_grouping` is set to `time`. To continue grouping alerts until the Incident is resolved, set this value to `0`. This attribute has been deprecated and configuration via [Alert Grouping Settings](https://docs.pagerduty.com/developer/api/reference/rest/alert-grouping-settings/post-alert-grouping-settings) resource is encouraged. **Deprecated.** |
| `incident.acknowledgements[].acknowledger.auto_pause_notifications_parameters` | object |  | (option 3) Defines how alerts on this service are automatically suspended for a period of time before triggering, when identified as likely being transient. Note that automatically pausing notifications is only available on certain plans. Same fields as `incident.service.auto_pause_notifications_parameters` above. |
| `incident.alert_grouping` | object |  | Describes the alert grouping state of this incident. Will be null if the incident has no alerts. |
| `incident.alert_grouping.grouping_type` | string |  | One of: `basic`, `advanced`, `rules`. |
| `incident.alert_grouping.started_at` | string (date-time) |  |  |
| `incident.alert_grouping.ended_at` | string (date-time) |  |  |
| `incident.alert_grouping.alert_grouping_active` | boolean |  |  |
| `incident.last_status_change_by` | one of: object \| object \| object |  | The entity that last changed the status of the incident. If the `include[]=agents` query parameter is provided, the full user/service/integration definition will be returned. |
| `incident.last_status_change_by.id` | string | yes | (option 1) Read-only. |
| `incident.last_status_change_by.summary` | string \| null |  | (option 1) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.type` | string | yes | (option 1) One of: `user_reference`, `service_reference`, `integration_reference`. |
| `incident.last_status_change_by.self` | string \| null (url) |  | (option 1) the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.html_url` | string \| null (url) |  | (option 1) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.id` | string |  | (option 2) Read-only. |
| `incident.last_status_change_by.summary` | string \| null |  | (option 2) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.type` | string | yes | (option 2) The type of object being created. One of: `user`. Default: `user`. |
| `incident.last_status_change_by.self` | string \| null (url) |  | (option 2) the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.html_url` | string \| null (url) |  | (option 2) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.name` | string | yes | (option 2) The name of the user. Max length: 100. |
| `incident.last_status_change_by.email` | string (email) | yes | (option 2) The user's email address. Min length: 6. Max length: 100. |
| `incident.last_status_change_by.time_zone` | string (tzinfo) |  | (option 2) The preferred time zone name. If null, the account's time zone will be used. |
| `incident.last_status_change_by.color` | string |  | (option 2) The schedule color. |
| `incident.last_status_change_by.role` | string |  | (option 2) The user role. Account must have the `read_only_users` ability to set a user as a `read_only_user` or a `read_only_limited_user`, and must have advanced permissions abilities to set a user as `observer` or `restricted_access`. One of: `admin`, `limited_user`, `observer`, `owner`, `read_only_user`, `restricted_access`, `read_only_limited_user`, `user`. |
| `incident.last_status_change_by.avatar_url` | string (url) |  | (option 2) The URL of the user's avatar. Read-only. |
| `incident.last_status_change_by.description` | string \| null |  | (option 2) The user's bio. |
| `incident.last_status_change_by.invitation_sent` | boolean |  | (option 2) If true, the user has an outstanding invitation. Read-only. |
| `incident.last_status_change_by.job_title` | string |  | (option 2) The user's title. Max length: 100. |
| `incident.last_status_change_by.created_via_sso` | boolean |  | (option 2) If true, the user was created via Single Sign-On (SSO). Read-only. |
| `incident.last_status_change_by.teams` | array of object |  | (option 2) The list of teams to which the user belongs. Account must have the `teams` ability to set this. Read-only. |
| `incident.last_status_change_by.teams[].id` | string | yes | Read-only. |
| `incident.last_status_change_by.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.teams[].type` | string | yes | One of: `team_reference`. |
| `incident.last_status_change_by.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.contact_methods` | array of object |  | (option 2) The list of contact methods for the user. Read-only. |
| `incident.last_status_change_by.contact_methods[].id` | string | yes | Read-only. |
| `incident.last_status_change_by.contact_methods[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.contact_methods[].type` | string | yes | One of: `email_contact_method_reference`, `phone_contact_method_reference`, `push_notification_contact_method_reference`, `sms_contact_method_reference`, `whatsapp_contact_method_reference`. |
| `incident.last_status_change_by.contact_methods[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.contact_methods[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.notification_rules` | array of object |  | (option 2) The list of notification rules for the user. Read-only. |
| `incident.last_status_change_by.notification_rules[].id` | string | yes | Read-only. |
| `incident.last_status_change_by.notification_rules[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.notification_rules[].type` | string | yes | One of: `assignment_notification_rule_reference`. |
| `incident.last_status_change_by.notification_rules[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.notification_rules[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.http_cal_url` | string (uri) |  | (option 2) iCal HTTP feed URL for this user's on-call shifts. Only returned on the `GET /users/{id}` detail endpoint: automatically when viewing your own profile with a user-level token, or when an account admin with `can_update_user` passes `include[]=calendar_urls` for another user. Not returned on list endpoints or with account-level read-only keys. **Security:** this URL is a bearer credential. Anyone with the URL can read the user's on-call calendar without further authentication. Rotate via `POST /users/{id}/regenerate_private_url_key` if it may have been exposed. Read-only. |
| `incident.last_status_change_by.web_cal_url` | string (uri) |  | (option 2) iCal webcal URL for this user's on-call shifts. Only returned on the `GET /users/{id}` detail endpoint: automatically when viewing your own profile with a user-level token, or when an account admin with `can_update_user` passes `include[]=calendar_urls` for another user. Not returned on list endpoints or with account-level read-only keys. **Security:** this URL is a bearer credential. Anyone with the URL can read the user's on-call calendar without further authentication. Rotate via `POST /users/{id}/regenerate_private_url_key` if it may have been exposed. Read-only. |
| `incident.last_status_change_by.id` | string |  | (option 3) Read-only. |
| `incident.last_status_change_by.summary` | string \| null |  | (option 3) A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.type` | string | yes | (option 3) The type of object being created. One of: `service`. Default: `service`. |
| `incident.last_status_change_by.self` | string \| null (url) |  | (option 3) the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.html_url` | string \| null (url) |  | (option 3) a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.name` | string |  | (option 3) The name of the service. |
| `incident.last_status_change_by.description` | string |  | (option 3) The user-provided description of the service. |
| `incident.last_status_change_by.auto_resolve_timeout` | integer |  | (option 3) Time in seconds that an incident is automatically resolved if left open for that long. Value is `null` if the feature is disabled. Value must not be negative. Setting this field to `0`, `null` (or unset in POST request) will disable the feature. Default: `14400`. |
| `incident.last_status_change_by.acknowledgement_timeout` | integer |  | (option 3) Time in seconds that an incident changes to the Triggered State after being Acknowledged. Value is `null` if the feature is disabled. Value must not be negative. Setting this field to `0`, `null` (or unset in POST request) will disable the feature. Default: `1800`. |
| `incident.last_status_change_by.created_at` | string (date-time) |  | (option 3) The date/time when this service was created. Read-only. |
| `incident.last_status_change_by.status` | string |  | (option 3) The current state of the Service. Valid statuses are: - `active`: The service is enabled and has no open incidents. This is the only status a service can be created with. - `warning`: The service is enabled and has one or more acknowledged incidents. - `critical`: The service is enabled and has one or more triggered incidents. - `maintenance`: The service is under maintenance, no new incidents will be triggered during maintenance mode. - `disabled`: The service is disabled and will not have any new triggered incidents. One of: `active`, `warning`, `critical`, `maintenance`, `disabled`. Default: `active`. |
| `incident.last_status_change_by.last_incident_timestamp` | string (date-time) |  | (option 3) The date/time when the most recent incident was created for this service. Read-only. |
| `incident.last_status_change_by.escalation_policy` | object | yes | (option 3) Same fields as `incident.escalation_policy` above. |
| `incident.last_status_change_by.response_play` |  |  | (option 3) Response plays associated with this service. **Deprecated.** |
| `incident.last_status_change_by.teams` | array of object |  | (option 3) The set of teams associated with this service. Read-only. |
| `incident.last_status_change_by.teams[].id` | string | yes | Read-only. |
| `incident.last_status_change_by.teams[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.teams[].type` | string | yes | One of: `team_reference`. |
| `incident.last_status_change_by.teams[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.teams[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.integrations` | array of object |  | (option 3) An array containing Integration objects that belong to this service. If `integrations` is passed as an argument, these are full objects - otherwise, these are references. Read-only. |
| `incident.last_status_change_by.integrations[].id` | string | yes | Read-only. |
| `incident.last_status_change_by.integrations[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.integrations[].type` | string | yes | One of: `aws_cloudwatch_inbound_integration_reference`, `cloudkick_inbound_integration_reference`, `event_transformer_api_inbound_integration_reference`, `generic_email_inbound_integration_reference`, `generic_events_api_inbound_integration_reference`, `keynote_inbound_integration_reference`, `nagios_inbound_integration_reference`, `pingdom_inbound_integration_reference`, `sql_monitor_inbound_integration_reference`, `events_api_v2_inbound_integration_reference`, `inbound_integration_reference`. |
| `incident.last_status_change_by.integrations[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.integrations[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.incident_urgency_rule` | object |  | (option 3) Same fields as `incident.service.incident_urgency_rule` above. |
| `incident.last_status_change_by.support_hours` | object |  | (option 3) Same fields as `incident.service.support_hours` above. |
| `incident.last_status_change_by.scheduled_actions` | array of object |  | (option 3) An array containing scheduled actions for the service. |
| `incident.last_status_change_by.scheduled_actions[].type` | string | yes | The type of schedule action. Must be set to urgency_change. One of: `urgency_change`. |
| `incident.last_status_change_by.scheduled_actions[].at` | object | yes | Represents when scheduled action will occur. |
| `incident.last_status_change_by.scheduled_actions[].at.type` | string | yes | Must be set to named_time. One of: `named_time`. |
| `incident.last_status_change_by.scheduled_actions[].at.name` | string | yes | Designates either the start or the end of support hours. One of: `support_hours_start`, `support_hours_end`. |
| `incident.last_status_change_by.scheduled_actions[].to_urgency` | string | yes | Urgency level. Must be set to high. One of: `high`. |
| `incident.last_status_change_by.addons` | array of object |  | (option 3) The array of Add-ons associated with this service. Read-only. |
| `incident.last_status_change_by.addons[].id` | string | yes | Read-only. |
| `incident.last_status_change_by.addons[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `incident.last_status_change_by.addons[].type` | string | yes | One of: `full_page_addon_reference`, `incident_show_addon_reference`. |
| `incident.last_status_change_by.addons[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `incident.last_status_change_by.addons[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `incident.last_status_change_by.addons[].src` | string (url) |  | The URL source of the Addon. |
| `incident.last_status_change_by.addons[].name` | string |  | The user entered name of the Addon. |
| `incident.last_status_change_by.alert_creation` | string |  | (option 3) Whether a service creates only incidents, or both alerts and incidents. A service must create alerts in order to enable incident merging. * "create_incidents" - The service will create one incident and zero alerts for each incoming event. * "create_alerts_and_incidents" - The service will create one incident and one associated alert for each incoming event. This attribute has been deprecated as all services will be migrated to use alerts and incidents. Afterward, the incident only service setting will no longer be available. For details, please refer to the knowledge base: https://support.pagerduty.com/docs/alerts#enable-and-disable-alerts-on-a-service. **Deprecated.** One of: `create_incidents`, `create_alerts_and_incidents`. Default: `create_alerts_and_incidents`. |
| `incident.last_status_change_by.alert_grouping_parameters` | one of: object \| object |  | (option 3) Alert Grouping Parameters. **Deprecated.** |
| `incident.last_status_change_by.alert_grouping_parameters.type` | string \| null |  | (Alert Grouping Parameters) One of: `time`, `intelligent`, `content_based`, `null`. |
| `incident.last_status_change_by.alert_grouping_parameters.config` | one of: object \| object \| object |  | (Alert Grouping Parameters) |
[...]
